Skip to navigation

Update start or end date for user authorization

View as Markdown

Updates the start and/or end date for a given user authorization. Specify the user authorization and principal user with the path parameters.

To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

authorizationIdstringRequired
The ID of the user authorization.
userIdstringRequired
The ID of the principal user.

Request

This endpoint expects an object: userAuthorizationUpdateRequest

endDatestringOptional

The end date for the user authorization. The default value is the max UTC value: 9999-12-31T23:59:59.0000000+00:00.

startDatestringOptional
The start date for the user authorization. The default value is the current date and time.

Response

Successful response.
agentUserobjectOptional
authorizationIdstringOptional
The ID of the user authorization.
createdstringOptional
The UTC DateTime when the workspace user authorization was created.
createdBystringOptional

The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]

endDatestringOptional
The UTC DateTime at which the authorization will expire.
modifiedstringOptional
The UTC DateTime when the workspace user authorization was last updated.
modifiedBystringOptional

The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]

permissionstringOptional

The permission level to grant the agent. Valid values:

  • Send
  • Manage
  • Sign
  • Edit

This property is required.

principalUserobjectOptional
startDatestringOptional
The UTC DateTime at which the authorization will start.
taskSourcestringOptional
taskTypestringOptional

Errors

400
Bad Request Error